<template>
  <div v-if="isLoading" class="tw:flex tw:justify-center tw:items-center tw:h-full">
    <i class="fa fa-spinner fa-spin tw:text-4xl tw:text-blue-500"></i>
  </div>
  <div v-else class="tw:h-full">
    <FormBuilder
      v-model="settings.items.forms.checkout.schema"
      v-model:isCustom="settings.items.forms.checkout.is_custom"
    />
  </div>
</template>

<script setup>
import {ref} from 'vue';
import FormBuilder from '@/components/FormBuilder/FormBuilder.vue';
import {useSettingsStore} from "@/stores/settings.js";

const formSchema = ref([]);
const isCustom = ref(false);
const isLoading = ref(false);

const settings = useSettingsStore();
</script>
